<template>
  <div class="search-bar">
    <v-form>
      <v-container>
        <v-row cols="12" sm="6" md="4">
          <v-text-field
            label="¿Buscas algo? "
            placeholder="Tu aventura empieza aqui"
            v-model="searchedProductName"
            @keyup.enter="goToProductListFiltredByName"
            filled
            rounded
            dense
          ></v-text-field>
        </v-row>
        <v-btn color="#952a70" fab x-large dark @click="goToProductListFiltredByName">
          <v-icon>Dale Buscar</v-icon>
        </v-btn>
      </v-container>
    </v-form>
  </div>
</template>

<script>
export default {
  name: "ProductSearchBar",
  components: {},
  props: {
    searchResult: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      searchedProductName: null
    };
  },

  methods: {
    putEnData(searchedProduct) {
      this.searchedProduct = searchedProduct;
      this.searchSuggestion(searchedProduct);
    },
    searchSuggestion(searchedProduct) {
      this.$emit("search-product-while-tapping", searchedProduct);
    },
    goToProductListFiltredByName() {
      let searchedProductName = this.searchedProductName;
      this.$emit("go-to-product-list", searchedProductName);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
